Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).


L'icône rouge permet de télécharger chaque page du wiki visitée au format PDF et la grise au format ODT → ODT PDF Export

Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
doc:systeme:apt:branches-debian [12/02/2016 09:12]
smolski [La branche unstable]
doc:systeme:apt:branches-debian [18/07/2019 09:23] (Version actuelle)
smolski mise à jour des noms rolling
Ligne 4: Ligne 4:
   * Suivi :    * Suivi : 
     * Création par [[user>​smolski]] le 25/08/2009     * Création par [[user>​smolski]] le 25/08/2009
-    * Mise à jour par [[user>​smolski]] le 20/1/2013+    * Mise à jour par [[user>​smolski]] le 16/04/2018
   * Commentaires sur le forum : [[https://​debian-facile.org/​viewtopic.php?​id=1151&​p=1 |C'est ici]]((N'​hésitez pas à y faire part de vos remarques, succès, améliorations ou échecs !))   * Commentaires sur le forum : [[https://​debian-facile.org/​viewtopic.php?​id=1151&​p=1 |C'est ici]]((N'​hésitez pas à y faire part de vos remarques, succès, améliorations ou échecs !))
  
Ligne 18: Ligne 18:
 Plusieurs branches de Debian GNU/Linux sont disponibles,​ chacune représentant un stade précis de l'​évolution de la distribution. Il existe tout d'​abord trois branches majeures : Plusieurs branches de Debian GNU/Linux sont disponibles,​ chacune représentant un stade précis de l'​évolution de la distribution. Il existe tout d'​abord trois branches majeures :
  
-  * La branche dite **stable**, qui porte actuellement le nom Release de //Jessie//. +  * La branche dite **stable**, qui porte actuellement le nom Release de //Buster//. 
-  * La branche dite **testing**,​ qui porte actuellement le nom Release de //Stretch//.+  * La branche dite **testing**,​ qui porte actuellement le nom Release de //Bullseye//.
   * La branche dite **unstable**,​ qui portera toujours le nom Release de //Sid//.   * La branche dite **unstable**,​ qui portera toujours le nom Release de //Sid//.
  
Ligne 27: Ligne 27:
  
 Et nous avons enfin l'//​ancienne stable// dite **oldstable** qui reste disponible quelques temps après les migrations. Et nous avons enfin l'//​ancienne stable// dite **oldstable** qui reste disponible quelques temps après les migrations.
-  * La branche dite **oldstable**,​ qui porte actuellement le nom Release de //Squeeze//.  +  * La branche dite **oldstable**,​ qui porte actuellement le nom Release de //Stretch//.  
-<note tip> **POUR INFORMATION :**  Le suivi en sécurité de Debian GNU/​Linux ​5.0 Lenny, ancienne //​oldstable// ​s'est terminé ​le 6 février 2012, soit, un an après la sortie de Debian GNU/​Linux ​6.0 Squeeze</​note>​+<note tip> **POUR INFORMATION :**  Le [[https://​wiki.debian.org/​LTS/​|suivi en sécurité ​]]de Debian GNU/​Linux ​7.0 Whezzy ​, ancienne //​oldstable// ​se termine ​le 31 mai 2018, soit, un an environ ​après la sortie de Debian GNU/​Linux ​9.0 Stretch</​note> ​ 
  
 == Nota - Serveurs Debian : == == Nota - Serveurs Debian : ==
Ligne 35: Ligne 36:
 Les autres (stable testing etc .. ) sont reconstruits. Les autres (stable testing etc .. ) sont reconstruits.
  
-Les noms d'​état (Oldstable, Stable, Testing et Unstable) sont de simples [[doc:​systeme:​ln|liens symboliques]] qui pointent vers les noms de code (Squeeze, Wheezy, ​Jessie, Stretch et Sid) qui, eux, sont des répertoires.+Les noms d'​état (Oldstable, Stable, Testing et Unstable) sont de simples [[doc:​systeme:​ln|liens symboliques]] qui pointent vers les noms de code (Jessie, Stretch, Buster, Bullseye ​et Sid) qui, eux, sont des répertoires
 + 
 +Ainsi, avant que Stretch ne devienne la nouvelle version stable (de Debian), nous avions : 
 +  - Oldstable qui pointait vers Whezzy , 
 +  - Stable qui pointait vers Jessie et 
 +  - Testing qui pointait vers Stretch ​.
  
-Ainsi, avant que Jessie ne devienne la nouvelle version stable (de Debian), nous avions ​+En [**03-07-2019**], nous avons 
-  - Oldstable qui pointait ​vers Squeeze+  - Oldstable qui pointe ​vers Jessie
-  - Stable qui pointait ​vers Wheezy ​et +  - Stable qui pointe ​vers Stretch ​et 
-  - Testing qui pointait ​vers Jessie.+  - Testing qui pointe ​vers Buster.
  
-Et, maintenant [**10-10-2015**], nous avons : +Et, maintenant [**18-07-2019**], nous avons : 
-  - Oldstable qui pointe vers Wheezy+  - Oldstable qui pointe vers Stretch
-  - Stable qui pointe vers Jessie ​et +  - Stable qui pointe vers Buster ​et 
-  - Testing qui pointe vers Stretch.+  - Testing qui pointe vers Bullseye.
  
 Concernant Unstable, eh bien, il pointait, pointe encore et pointera toujours (?) vers Sid. Concernant Unstable, eh bien, il pointait, pointe encore et pointera toujours (?) vers Sid.
Ligne 82: Ligne 88:
 Elle est figée, c'​est-à-dire qu'​elle ne reçoit que des mises à jour de sécurité. \\ Elle est figée, c'​est-à-dire qu'​elle ne reçoit que des mises à jour de sécurité. \\
 La version des programmes disponibles ne change plus à partir de sa sortie, et ce pour toute sa durée de vie : elle a donc **la fausse** réputation d'​être rapidement obsolète et pourrait poser des problèmes sur des machines trop récentes. \\ La version des programmes disponibles ne change plus à partir de sa sortie, et ce pour toute sa durée de vie : elle a donc **la fausse** réputation d'​être rapidement obsolète et pourrait poser des problèmes sur des machines trop récentes. \\
 +Une exception toutefois, la version du navigateur Firefox-ESR évoluera pour suivre la branche ESR avec support étendue. \\
 Pour éviter ce faux problème vous pouvez ajouter le dépôt backports où vous trouverez l'​actualisation de plusieurs programmes (y compris le nouveau noyau) \\ Pour éviter ce faux problème vous pouvez ajouter le dépôt backports où vous trouverez l'​actualisation de plusieurs programmes (y compris le nouveau noyau) \\
  
-Chaque stable reçoit un numéro de version (de la forme X.Y, où X et Y sont des chiffres) ainsi que des mises à jour à intervalles réguliers de ses médias d'​installation qui reprennent l'​ensemble des mises à jour depuis la version précédente (elles sont notées X.Y.1 puis X.Y.2, X.Y.3 ...). Actuellement,​ la version disponible de //stable// est la **7.5**.+Chaque stable reçoit un numéro de version (de la forme X.Y, où X et Y sont des chiffres) ainsi que des mises à jour à intervalles réguliers de ses médias d'​installation qui reprennent l'​ensemble des mises à jour depuis la version précédente (elles sont notées X.Y.1 puis X.Y.2, X.Y.3 ...). Actuellement,​ la version disponible de //stable// est la **9.4**.
  
 Elle est recommandée pour tous les domaines réclamant un haut niveau de sécurité et de fiabilité, notamment celui des serveurs. \\ Elle est recommandée pour tous les domaines réclamant un haut niveau de sécurité et de fiabilité, notamment celui des serveurs. \\
Ligne 128: Ligne 135:
 C'est en particulier à cause des difficultés lors de la mise à jour que l'on conseille aux gens d'​attendre un mois **après** la sortie de la nouvelle stable avant de sauter le pas. C'est en particulier à cause des difficultés lors de la mise à jour que l'on conseille aux gens d'​attendre un mois **après** la sortie de la nouvelle stable avant de sauter le pas.
  
-Les paquets de priorité « standard », « important » etc. changent d'une version à l'​autre. Autrement dit, si tu installes une squeeze ​"​standard"​ et mets à jour vers wheezy, tu gardes les paquets "​standard"​ de squeeze ​qui sont peut-être obsolètes, et tu n'​installes pas les nouveaux paquets "​standards"​ de wheezy ​qui sont pourtant peut-être très pratique. \\ +Les paquets de priorité « standard », « important » etc. changent d'une version à l'​autre. Autrement dit, si tu installes une Jessie ​"​standard"​ et mets à jour vers Stretch, tu gardes les paquets "​standard"​ de Jessie ​qui sont peut-être obsolètes, et tu n'​installes pas les nouveaux paquets "​standards"​ de Stretch ​qui sont pourtant peut-être très pratique. \\ 
-Donc d'une certaine manière, en faisant la mise à jour, tu n'as pas une « vraie » wheezy. Et bon, tout ça, c'est sans compter les paquets "​optionnels"​ / "​standards"​ qui deviennent "​importants",​ et vice versa… ​ \\ +Donc d'une certaine manière, en faisant la mise à jour, tu n'as pas une « vraie » Stretch. Et bon, tout ça, c'est sans compter les paquets "​optionnels"​ / "​standards"​ qui deviennent "​importants",​ et vice versa… ​ \\ 
-Alors oui, ça a peut-être plus de chance de « marcher » (au sens élémentaire du terme), mais c'est moins propre et moins « dans l'​esprit ​wheezy ​», c'est plus « une squeeze, très à jour ».+Alors oui, ça a peut-être plus de chance de « marcher » (au sens élémentaire du terme), mais c'est moins propre et moins « dans l'​esprit ​Stretch ​», c'est plus « une Jessie, très à jour ».
  
 Cela dit, la solution d'​installer une Debian quasi-minimale,​ de faire la mise à jour, puis d'​installer les paquets (gnome, xfce, que sais-je) nécessaires ensuite limite largement les dégâts. \\ Cela dit, la solution d'​installer une Debian quasi-minimale,​ de faire la mise à jour, puis d'​installer les paquets (gnome, xfce, que sais-je) nécessaires ensuite limite largement les dégâts. \\
 Je ne la conseillerai pas comme premier choix, mais la trouve très raisonnable. Je ne la conseillerai pas comme premier choix, mais la trouve très raisonnable.
  
-//Note copiée/​collée depuis l'​intervention du fabuleux et néamoins ​tendre //​**captnfab**//​ sur le forum ici// :+//Note copiée/​collée depuis l'​intervention du fabuleux et néanmoins ​tendre //​**captnfab**//​ sur le forum ici// :
   * http://​debian-facile.org/​viewtopic.php?​pid=51911#​p51911   * http://​debian-facile.org/​viewtopic.php?​pid=51911#​p51911
  
Ligne 160: Ligne 167:
   - Upgrader vers sid. À l'​upgrade,​ garder les sources des 2, comme ça s'il y a un soucis, on ne casse pas de dépendance.   - Upgrader vers sid. À l'​upgrade,​ garder les sources des 2, comme ça s'il y a un soucis, on ne casse pas de dépendance.
  
-Une fois bien installée, utiliser 2 versions : sid + experimental ou sid + wheezy, comme ça on est moins planté quand il manque quelque chose.+Une fois bien installée, utiliser 2 versions :  
 +  * sid + experimental ou  
 +  * sid + stable, comme ça on est moins planté quand il manque quelque chose.
  
-Après c'est au cas par cas, toujours faire **safe-upgrade** (j'​utilise ​aptitude(([[:​doc:​systeme:​apt:​aptitude | aptitude]])) ) et réserver **full-upgrade** à chaque paquet au cas par cas après avoir bien lu les messages et en n'​hésitant pas à tester avant d'​installer (option : -s ).+Après c'est au cas par cas, toujours faire **safe-upgrade** (j'​utilise [[:​doc:​systeme:​apt:​aptitude | aptitude]]) et réserver **full-upgrade** à chaque paquet au cas par cas après avoir bien lu les messages et en n'​hésitant pas à tester avant d'​installer (option : -s ).
  
 Sid tourne très vite, inutile de s'​enquiquiner à résoudre des choses qui vont avoir changé dans les quelques heures ou jours qui suivent. Forcer les installation apporte plus d'​ennuis que de solutions. Sid tourne très vite, inutile de s'​enquiquiner à résoudre des choses qui vont avoir changé dans les quelques heures ou jours qui suivent. Forcer les installation apporte plus d'​ennuis que de solutions.
Ligne 171: Ligne 180:
  
 De Haricophile sur le forum : De Haricophile sur le forum :
-  * http://​debian-facile.org/​forum/​viewtopic.php?​pid=46303#​p46303 ​(Attention, il faut être membre df pour avoir accès à ce post).+  * http://​debian-facile.org/​forum/​viewtopic.php?​pid=46303#​p46303
  
 ===== La branche oldstable ===== ===== La branche oldstable =====
 +
 C'est **l'​ancienne branche stable** de Debian. Il n'est pas recommandé de l'​utiliser car elle est progressivement abandonnée au profit de la nouvelle stable. C'est **l'​ancienne branche stable** de Debian. Il n'est pas recommandé de l'​utiliser car elle est progressivement abandonnée au profit de la nouvelle stable.
- 
- 
  
 ===== La branche experimental ===== ===== La branche experimental =====
Ligne 192: Ligne 200:
 ==== Remerciements ==== ==== Remerciements ====
  
-//Merci à //**enkar**// et //​**Haricophile**//​ pour leurs renseignements fournis sur le salon #​debian-facile//​. ;-)+//Merci à //**enikar**// et //​**Haricophile**//​ pour leurs renseignements fournis sur le salon #​debian-facile//​. ;-)
  
  
doc/systeme/apt/branches-debian.1455264776.txt.gz · Dernière modification: 12/02/2016 09:12 par smolski

Pied de page des forums

Propulsé par FluxBB